class Helper

def initialize
  getProject
  getFooter
  getDocument
  getOutPath

  config = {
    "project": @project,
    "footer": @footer,
    "document": @document,
    "outPath": @outPath
  }

  puts "\n\n Below is the configuration that you have set up. Please check if its Ok to proceed. "
  puts "#{JSON.generate(config)}"

  getConfirmation config
end

def getProject
  print "project Name: "
  @project = STDIN.gets.chomp.to_s
end

def getFooter
  print "Footer Message: "
  @footer = STDIN.gets.chomp.to_s
end

def getOutPath
  print "Output Path: "
  @outPath = STDIN.gets.chomp.to_s
end

def getDocument
  print "Error Documentation (Y/N): "
  d = STDIN.gets.chomp

  if(d.to_s == "Y" || d.to_s == "y")
    @document = "true"
  elsif(d.to_s == "N" || d.to_s == "n")
    @document = "false"
  else
    getDocument
  end
end

def getConfirmation config
  print "\n Is it Okay to proceed ? (Y/N)"

  confirmation = STDIN.gets.chomp

  if(confirmation.to_s == "Y" || confirmation.to_s == "y")
    File.open ".sbfrc", "w" do |f|
      f << JSON.generate(config)
    end

    puts "file .sbfrc created for your project"

  elsif(confirmation.to_s == "n" || confirmation.to_s == "N")
    puts "Configuration not Okay."
    puts "Please run the command rsformat init, if you want to do the configuration"

  else
    getConfirmation config
  end
end


end
