function initialise(groups) {
    $("#chkPass").text("radio_button_checked");
    $("#chkFail").text("radio_button_checked");
    $("#chkPending").text("radio_button_checked");

    var suits = JSON.parse(groups);
    console.log('suits: ', suits);
    console.log('suits: ', suits.length);
    for (i = 0; i < suits.length; i++) {
        var acc = "#" + suits[i] + "Accordion"
        console.log('acc: ', acc);
        $(acc).text('arrow_drop_down');
    }

    var exceptions = $('[id^="Exception_"]').get();
    for (i = 0; i < exceptions.length; i++) {
        var id = "#" + exceptions[i].id;
        $(id).hide();
    }

    $('html, body').animate({ scrollTop: 0 }, 300);
    showToTopButton();
}

function showToTopButton() {
    $(window).scroll(function() {
        if ($(this).scrollTop() > 200) {
            $('.goTop').fadeIn(500);
        } else {
            $('.goTop').fadeOut(500);
        }
    });
}

function navigateToTop() {
    $('.goTop').click(function(event) {
        $('html, body').animate({
            scrollTop: 0
        }, slow);

        event.preventDefault();
    })
}

function openNav() {
    $("#slideMenu").width(350);
}

function closeNav() {
    $("#slideMenu").width(0);
}

function toggleCheck(e) {
    unCheckText = "radio_button_unchecked";
    checkText = "radio_button_checked";
    if (e === 'P') {
        var passed = $('[id^="Boundary_passed_"]').get();
        if ($("#chkPass").text() === checkText) {
            $("#chkPass").text(unCheckText);
            /* hide P elements*/

            for (i = 0; i < passed.length; i++) {
                var id = "#" + passed[i].id;
                $(id).hide('slow');
            }
        } else {
            $("#chkPass").text(checkText);
            /* show P elements*/
            for (i = 0; i < passed.length; i++) {
                var id = "#" + passed[i].id;
                $(id).show('slow');
            }
        }
    }

    if (e === 'F') {
        var failed = $('[id^="Boundary_failed_"]').get();
        if ($("#chkFail").text() === checkText) {
            $("#chkFail").text(unCheckText);
            for (i = 0; i < failed.length; i++) {
                var id = "#" + failed[i].id;
                $(id).hide('slow');
            }
        } else {
            $("#chkFail").text(checkText);
            for (i = 0; i < failed.length; i++) {
                var id = "#" + failed[i].id;
                $(id).show('slow');
            }
        }
    }

    if (e === 'W') {
        var pending = $('[id^="Boundary_pending_"]').get();
        if ($("#chkPending").text() === checkText) {
            $("#chkPending").text(unCheckText);
            for (i = 0; i < pending.length; i++) {
                var id = "#" + pending[i].id;
                $(id).hide('slow');
            }
        } else {
            $("#chkPending").text(checkText);
            for (i = 0; i < pending.length; i++) {
                var id = "#" + pending[i].id;
                $(id).show('slow');
            }
        }
    }
}

function navigateToSuit(suit) {
    var id = "#Main_" + suit;
    var offset = 0;

    if ($(id).offset().top == 110) {
        offset = 60;
    } else {
        offset = $(id).offset().top;
    }

    $('html,body').animate({
            scrollTop: offset
        },
        'slow');
    closeNav();
}

function toggleAccordion(suit) {
    downArrow = 'arrow_drop_down';
    upArrow = 'arrow_drop_up';
    var accordion = "#" + suit + "Accordion";

    if ($(accordion).text() == downArrow) {
        $(accordion).text(upArrow)
    } else {
        $(accordion).text(downArrow)
    }
}

function showErrorDetails(test, status) {
    var id = "#Exception_" + test;
    var bId = "#Boundary_" + test;

    if (status == 'failed') {
        $(bId).toggleClass("errorBoundary");
        $(id).toggle();
    }

    if (status == 'pending') {
        $(bId).toggleClass("warningBoundary");
        $(id).toggle();
    }
}